## org.codehaus.groovy.runtime.metaclass
Class MetaMethodIndex

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex

    public class MetaMethodIndex

extends Object

Nested Class Summary
`static class` `MetaMethodIndex.CacheEntry`
`static class` `MetaMethodIndex.Entry`
`static interface` `MetaMethodIndex.EntryIterator`
`static class` `MetaMethodIndex.Header`

Field Summary
`protected static int` `DEFAULT_CAPACITY`
`protected static int` `MAXIMUM_CAPACITY`
`SingleKeyHashMap` `methodHeaders`
`protected static int` `MINIMUM_CAPACITY`
`protected int` `size`
`protected MetaMethodIndex.Entry[]` `table`
`protected int` `threshold`

Constructor Summary
`MetaMethodIndex(CachedClass theCachedClass)`

Method Summary
`Object` `addMethodToList(Object o, MetaMethod method)`
`void` `clear()`
`void` `clearCaches()`
`void` `clearCaches(String name)`
`void` `copy(Class c, MetaMethodIndex.Header index)`
`void` `copy(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
`void` `copyAllMethodsToSuper(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
`void` `copyMethodsToSuper()`
`void` `copyNonPrivateMethods(Class from, Class to)`
`void` `copyNonPrivateMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
`void` `copyNonPrivateMethodsDown(Class from, Class to)`
`void` `copyNonPrivateMethodsFromSuper(MetaMethodIndex.Header from)`
`void` `copyNonPrivateNonNewMetaMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
`MetaMethodIndex.EntryIterator` `getEntrySetIterator()`
`MetaMethodIndex.Header` `getHeader(Class cls)`
`MetaMethodIndex.Entry` `getMethods(Class cls, String name)`
`MetaMethodIndex.Entry` `getOrPutMethods(String name, MetaMethodIndex.Header header)`
`MetaMethodIndex.Entry[]` `getTable()`
`static int` `hash(int h)`
`void` `init(int initCapacity)`
`boolean` `isEmpty()`
`void` `resize(int newLength)`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### methodHeaders

    public SingleKeyHashMap methodHeaders

### table

    protected MetaMethodIndex.Entry[] table

### DEFAULT_CAPACITY

    protected static final int DEFAULT_CAPACITY

See Also:
  Constant Field Values

### MINIMUM_CAPACITY

    protected static final int MINIMUM_CAPACITY

See Also:
  Constant Field Values

### MAXIMUM_CAPACITY

    protected static final int MAXIMUM_CAPACITY

See Also:
  Constant Field Values

### size

    protected int size

### threshold

    protected transient int threshold

Constructor Detail

### MetaMethodIndex

    public MetaMethodIndex(CachedClass theCachedClass)

Method Detail

### hash

    public static int hash(int h)

### size

    public int size()

### isEmpty

    public boolean isEmpty()

### clear

    public void clear()

### init

    public void init(int initCapacity)

### resize

    public void resize(int newLength)

### getTable

    public MetaMethodIndex.Entry[] getTable()

### getEntrySetIterator

    public MetaMethodIndex.EntryIterator getEntrySetIterator()

### getMethods

    public final MetaMethodIndex.Entry getMethods(Class cls,
                                                  String name)

### getOrPutMethods

    public MetaMethodIndex.Entry getOrPutMethods(String name,
                                                 MetaMethodIndex.Header header)

### getHeader

    public MetaMethodIndex.Header getHeader(Class cls)

### copyNonPrivateMethods

    public void copyNonPrivateMethods(Class from,
                                      Class to)

### copyNonPrivateMethods

    public void copyNonPrivateMethods(MetaMethodIndex.Header from,
                                      MetaMethodIndex.Header to)

### copyAllMethodsToSuper

    public void copyAllMethodsToSuper(MetaMethodIndex.Header from,
                                      MetaMethodIndex.Header to)

### copyNonPrivateMethodsFromSuper

    public void copyNonPrivateMethodsFromSuper(MetaMethodIndex.Header from)

### copyNonPrivateMethodsDown

    public void copyNonPrivateMethodsDown(Class from,
                                          Class to)

### copyNonPrivateNonNewMetaMethods

    public void copyNonPrivateNonNewMetaMethods(MetaMethodIndex.Header from,
                                                MetaMethodIndex.Header to)

### addMethodToList

    public Object addMethodToList(Object o,
                                  MetaMethod method)

### copyMethodsToSuper

    public void copyMethodsToSuper()

### copy

    public void copy(Class c,
                     MetaMethodIndex.Header index)

### copy

    public void copy(MetaMethodIndex.Header from,
                     MetaMethodIndex.Header to)

### clearCaches

    public void clearCaches()

### clearCaches

    public void clearCaches(String name)

Copyright © 2003-2008 The Codehaus. All rights reserved.